Bug 1032055 - Review Request: perl-ExtUtils-Typemap - Read/Write/Modify Perl/XS typemap files
Review Request: perl-ExtUtils-Typemap - Read/Write/Modify Perl/XS typemap files
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
Depends On:
Blocks: 1032056
  Show dependency treegraph
Reported: 2013-11-19 08:17 EST by Miro Hrončok
Modified: 2013-12-13 22:42 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-ExtUtils-Typemap-1.00-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-01 04:36:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-11-19 08:17:24 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-ExtUtils-Typemap.spec
SRPM URL: http://churchyard.fedorapeople.org/SRPMS/perl-ExtUtils-Typemap-1.00-1.fc20.src.rpm

This module exists merely as a compatibility wrapper around
ExtUtils::Typemaps. In a nutshell, ExtUtils::Typemap was renamed to
ExtUtils::Typemaps because the Typemap directory in lib/ could collide with
the typemap file on case-insensitive file systems.

Fedora Account System Username: churchyard
Comment 1 Christopher Meng 2013-11-19 08:35:26 EST
Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Perl". Detailed output of licensecheck in /home/rpmaker/Desktop/perl-
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/ExtUtils(perl-ExtUtils-ParseXS, perl-
     ExtUtils-MakeMaker), /usr/share/perl5/vendor_perl/ExtUtils/Typemap(perl-
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is

Checking: perl-ExtUtils-Typemap-1.00-1.fc21.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
# rpmlint perl-ExtUtils-Typemap
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

perl-ExtUtils-Typemap (rpmlib, GLIBC filtered):


Source checksums
http://www.cpan.org/authors/id/S/SM/SMUELLER/ExtUtils-Typemap-1.00.tar.gz :
  CHECKSUM(SHA256) this package     : b1b015772dbb068b93a0f6ffa02f5d94822365e6018ac5ed2bc53ca669071fc7
  CHECKSUM(SHA256) upstream package : b1b015772dbb068b93a0f6ffa02f5d94822365e6018ac5ed2bc53ca669071fc7

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn perl-ExtUtils-Typemap-1.00-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, SugarActivity, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 2 Christopher Meng 2013-11-19 08:39:59 EST
Maybe it's better to write the %files more precisely, right?
Comment 3 Miro Hrončok 2013-11-19 09:01:28 EST
Thanks for the fast review.

%doc Changes README

Is that OK?
Comment 4 Miro Hrončok 2013-11-19 09:07:16 EST
New Package SCM Request
Package Name: perl-ExtUtils-Typemap
Short Description: Read/Write/Modify Perl/XS typemap files
Owners: churchyard
Branches: f19 f20 el6
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-11-19 09:15:08 EST
fedora-review flag not set to '+'
Comment 6 Christopher Meng 2013-11-19 09:17:25 EST
Files of package "perl-ExtUtils-Typemaps-Default":



Can we co-own the dir:

%{perl_vendorlib}/ExtUtils/Typemap/ ?

Anyway, I will approve this package.

(I still have doubt if they will be conflicted with each other in the future...)
Comment 7 Miro Hrončok 2013-11-19 09:31:53 EST
New Package SCM Request
Package Name: perl-ExtUtils-Typemap
Short Description: Read/Write/Modify Perl/XS typemap files
Owners: churchyard
Branches: f19 f20 el6
InitialCC: perl-sig
Comment 8 Miro Hrončok 2013-11-19 09:32:33 EST
I saw PACKAGE APPROVED. and din't check the flag.

I believe both can own that dir.
Comment 9 Gwyn Ciesla 2013-11-19 09:54:45 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-11-19 11:21:43 EST
perl-ExtUtils-Typemap-1.00-1.fc20 has been submitted as an update for Fedora 20.
Comment 11 Fedora Update System 2013-11-19 11:25:53 EST
perl-ExtUtils-Typemap-1.00-1.fc19 has been submitted as an update for Fedora 19.
Comment 12 Fedora Update System 2013-11-19 16:51:23 EST
perl-ExtUtils-Typemap-1.00-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2013-12-01 04:36:45 EST
perl-ExtUtils-Typemap-1.00-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-12-13 22:42:36 EST
perl-ExtUtils-Typemap-1.00-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.